<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Scripts/4_world/dayzexpansion/entities/manbase/dayzplayerimplement.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/de7/a09280_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">dayzplayerimplement.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d5/de7/a09280.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * DayZPlayerImplement.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d5/de7/a09280.html#af055a63099cb73848b550be40a811701">   13</a></span><span class="keyword">static</span> <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d5/de7/a09280.html#af055a63099cb73848b550be40a811701">g_ExpansionShowDeadScreen</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>modded <span class="keyword">class </span><a class="code hl_class" href="../../df/df6/a04914.html">DayZPlayerImplement</a></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>{</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    <span class="comment">// DayZPlayerImplement ShowDeadScreen</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../df/df6/a04914.html#a726a64ca2bb1261850688009de534d09">   20</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/df6/a04914.html#a726a64ca2bb1261850688009de534d09">ShowDeadScreen</a>(<span class="keywordtype">bool</span> show, <span class="keywordtype">float</span> duration)</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        super.ShowDeadScreen( show, duration );</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span> </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span><span class="preprocessor">        #ifndef NO_GUI</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <span class="keywordflow">if</span> (!<a class="code hl_function" href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetGeneral(<span class="keyword">false</span>).<a class="code hl_function" href="../../d3/d52/a00023.html#ad9eab3191d8b7cc0f5414602631292b8">IsLoaded</a>())</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span> </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <span class="keywordflow">if</span> (duration &gt; 0)</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        {</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>            <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetGeneral().UseDeathScreen)</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>                <a class="code hl_variable" href="../../d5/de7/a09280.html#af055a63099cb73848b550be40a811701">g_ExpansionShowDeadScreen</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        {</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>            <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetGeneral().UseDeathScreen)</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>                <a class="code hl_variable" href="../../d5/de7/a09280.html#af055a63099cb73848b550be40a811701">g_ExpansionShowDeadScreen</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        }</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    }</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span> </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../df/df6/a04914.html#a47cb9da5cd5faa3d06d944ec57f52693">   41</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/df6/a04914.html#a47cb9da5cd5faa3d06d944ec57f52693">IsShootingFromCamera</a>()</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    {</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <span class="keywordtype">bool</span> disableMagicCrosshair = <a class="code hl_function" href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../d1/d07/a03482.html#a2c2b46865ec8ef90a1f3715b34f08fa3">GetGeneral</a>(<span class="keyword">false</span>).<a class="code hl_function" href="../../d7/d89/a06862.html#a6443b402617b1786e52aa0bf9bb6d139">IsLoaded</a>() &amp;&amp; <a class="code hl_function" href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../d1/d07/a03482.html#a2c2b46865ec8ef90a1f3715b34f08fa3">GetGeneral</a>().<a class="code hl_variable" href="../../d7/d89/a06862.html#abeb5d8f5ce6791a66892483a409d3a80">DisableMagicCrosshair</a>;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        <span class="keywordflow">return</span> !disableMagicCrosshair;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    }</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>}</div>
<div class="ttc" id="aa00023_html_ad9eab3191d8b7cc0f5414602631292b8"><div class="ttname"><a href="../../d3/d52/a00023.html#ad9eab3191d8b7cc0f5414602631292b8">IsLoaded</a></div><div class="ttdeci">override bool IsLoaded()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d52/a00023_source.html#l00251">expansionbasebuildingsettings.c:251</a></div></div>
<div class="ttc" id="aa03482_html_a2c2b46865ec8ef90a1f3715b34f08fa3"><div class="ttname"><a href="../../d1/d07/a03482.html#a2c2b46865ec8ef90a1f3715b34f08fa3">ExpansionSettings::GetGeneral</a></div><div class="ttdeci">ExpansionGeneralSettings GetGeneral(bool checkLoaded=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d44/a08764_source.html#l00064">expansionsettings.c:64</a></div></div>
<div class="ttc" id="aa04914_html"><div class="ttname"><a href="../../df/df6/a04914.html">DayZPlayerImplement</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d1c/a01229_source.html#l00013">attachment_dayzplayerimplement.c:14</a></div></div>
<div class="ttc" id="aa04914_html_a47cb9da5cd5faa3d06d944ec57f52693"><div class="ttname"><a href="../../df/df6/a04914.html#a47cb9da5cd5faa3d06d944ec57f52693">DayZPlayerImplement::IsShootingFromCamera</a></div><div class="ttdeci">override bool IsShootingFromCamera()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/de7/a09280_source.html#l00041">dayzplayerimplement.c:41</a></div></div>
<div class="ttc" id="aa04914_html_a726a64ca2bb1261850688009de534d09"><div class="ttname"><a href="../../df/df6/a04914.html#a726a64ca2bb1261850688009de534d09">DayZPlayerImplement::ShowDeadScreen</a></div><div class="ttdeci">override void ShowDeadScreen(bool show, float duration)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/de7/a09280_source.html#l00020">dayzplayerimplement.c:20</a></div></div>
<div class="ttc" id="aa06862_html_a6443b402617b1786e52aa0bf9bb6d139"><div class="ttname"><a href="../../d7/d89/a06862.html#a6443b402617b1786e52aa0bf9bb6d139">ExpansionGeneralSettings::IsLoaded</a></div><div class="ttdeci">override bool IsLoaded()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/df6/a02411_source.html#l00214">expansiongeneralsettings.c:214</a></div></div>
<div class="ttc" id="aa06862_html_abeb5d8f5ce6791a66892483a409d3a80"><div class="ttname"><a href="../../d7/d89/a06862.html#abeb5d8f5ce6791a66892483a409d3a80">ExpansionGeneralSettings::DisableMagicCrosshair</a></div><div class="ttdeci">bool DisableMagicCrosshair</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/df6/a02411_source.html#l00029">expansiongeneralsettings.c:29</a></div></div>
<div class="ttc" id="aa08737_html_a0a20d14d2f55a927a3b0eab0623f5cf9"><div class="ttname"><a href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a></div><div class="ttdeci">static ExpansionSettings GetExpansionSettings()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1c/a08737_source.html#l00262">expansionsettings.c:262</a></div></div>
<div class="ttc" id="aa09280_html_af055a63099cb73848b550be40a811701"><div class="ttname"><a href="../../d5/de7/a09280.html#af055a63099cb73848b550be40a811701">g_ExpansionShowDeadScreen</a></div><div class="ttdeci">static bool g_ExpansionShowDeadScreen</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/de7/a09280_source.html#l00013">dayzplayerimplement.c:13</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_5b6a53149ee7579c80529fd9998a2b4c.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_864c6f328578ae932bfe3d376685b434.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_be440f22580ce99ff5165b31aacfa13d.html">dayzexpansion</a></li><li class="navelem"><a class="el" href="../../dir_0d13345ef38b852a3bc96310936aad4f.html">entities</a></li><li class="navelem"><a class="el" href="../../dir_0673e8e929ec8ff916c8e5be4245047c.html">manbase</a></li><li class="navelem"><a class="el" href="../../d5/de7/a09280.html">dayzplayerimplement.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
